CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sfSoundStreamChunk Struct Reference

defines the data to fill by the OnGetData callback More...

`#include <SoundStream.h>`

## Data Fields
sfInt16 * | samples
| Pointer to the audio samples. More...
unsigned int | sampleCount
| Number of samples pointed by Samples. More...

## Detailed Description

defines the data to fill by the OnGetData callback

Definition at line 42 of file SoundStream.h.

## Field Documentation

unsigned int sfSoundStreamChunk::sampleCount

Number of samples pointed by Samples.

Definition at line 45 of file SoundStream.h.

sfInt16* sfSoundStreamChunk::samples

Pointer to the audio samples.

Definition at line 44 of file SoundStream.h.

The documentation for this struct was generated from the following file:

- SoundStream.h